Samsung OfficeServ | PBXs and Telephone Systems | 4Sight CTI

4Sight CTI Server Information

Minimum Version Required:

2.4.0 -

Installation Notes:

In 4Sight CTI Server, take care to enter the correct IP address for the Office Serv link program, not the telephone system.

Directory Download:

Extensions, Trunks

Advisories:

Samsung 5.03 release needed for SIP trunks and Softphone client. External Consult transfer or you will have one way audio.
Internal consult transfer isn't supported with SIP trunks and softphone one way audio issue.
If using SIP trunks, MPS mode isn't supported. MGI mode only Hold unhold issue with softphone client.

Only extension with names are download to prevent too many extensions from being downloaded.

When dialing over analog trunks, there is a delay in receiving the dialed number. This can be resolved by enabling LCR and setting the expected number of digits.

Neither Paired extensions nor SIP extensions are supported fully.

If using SIP trunks and softphone PBX version T5.03 or greater is required. Internal consult transfer isn't supported due to one way audio issues. MPS mode is not supported as it will cause one way audio on hold & un-hold.

Connection Information

Type:

Proprietary

Requirements:

A 3rd party OpenTsp license is required.
3rd party SIP license is required for softphone.

Firewall Requirements:

OSLink: TCP - 6000

PBX Information

Architecture:

The Samsung OfficeServ connects to the LAN via the socket on the PBX.
The OfficeServ Link program runs on a local PC (often the 4Sight CTI Server) and acts as a gateway to allow 4Sight CTI Server to PBX.

Driver Requirements:

None

Firmware Requirements (for new installations):

Last tested version = T5.03u

WAN Connectivity Trunk Monitoring Analog Phones Supported Agent Features Supported